# Gmagick::normalizeimage

(PECL gmagick >= Unknown)

Gmagick::normalizeimage — Enhances the contrast of a color image

### Description

public Gmagick::normalizeimage ([ int `$channel` ] ) : Gmagick

Enhances the contrast of a color image by adjusting the pixels color to span the entire range of colors available.

### Parameters

`channel`

  Identify which channel to normalize

### Return Values

The Gmagick object on success

### Errors/Exceptions

Throws an GmagickException on error.